Subject: Re: [Zope] Version Paradox
From: Dan Rusch <[email-masked]>
To: "Baker, Dennis [sjmr]" <[email-masked]>
Date: Thu, 15 Jun 2000 14:29:58 -0500

Dennis,

Don't fret I just replicated you paradox and you can fix the problem.  I just
have to remember what I did, please bear with me.

I created a version in a folder.
I entered the version
I then went to undo (while still in the version) and undid the version

wham I'm stuck in a non-existant version

I logged out of zope
I logged in as the superuser dude
I went to the folder
I recreated the same version (same name etc)
I went to the control panel
I went to Version Management
I disgard the version

wham I'm unstuck

Let me know if this helped....

DR

"Baker, Dennis [sjmr]" wrote:

> No luck,  Maybe I'm describing my problem wrong,  When I go to manage Zope
> The header at the top says "
>    Folder at / * (/Developement%20Site)
>                ^ (This is the version Symbol)
>
> It doesn't Say that I am working in a version otherwise.  Then if I attempt
> to create a new version I get the following error:
>
>   Error Type: VersionLockError
>   Error Value: ("'\\000\\000\\000\\000\\000\\000\\000\\002'",
> '/Developement%20Site')
>
> I can create a version in a subfolder,  and subfolders don't have the
> "Folder at" stuff all messed up.  Unfortunately this is my production server
> too,  not my testing server.
>
> -----Original Message-----
> From: Cornelis J. de Brabander [mailto:[email-masked]]
> Sent: Thursday, June 15, 2000 12:14 AM
> To: Baker, Dennis [sjmr]; [email-masked]
> Subject: Re: [Zope] Version Paradox
>
> >I've inadvertently created a version paradox.  I created a version and
> >joined it,  then I realized that I did a stupid naming mistake I tried to
> >UNDO the creation of the version.  It allowed me to undo the creation of
> the
> >version,  however I was in the version at the time,  and now I am stuck in
> >the version and cannot get out.  I cannot create a version of the same name
> >and delete it either.  I am stuck.  HELP !!
> >
> >How can I exit a version that doesn't exist?
> >
> I believe that versions are based on cookies and that removing the culprit
> will unlock your paradox
>
> cb
>
> _______________________________________________
> Zope maillist  -  [email-masked]
> http://lists.zope.org/mailman/listinfo/zope
> **   No cross posts or HTML encoding!  **
> (Related lists -
>  http://lists.zope.org/mailman/listinfo/zope-announce
>  http://lists.zope.org/mailman/listinfo/zope-dev )